﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.IO;

namespace PictureBrowser.Web
{
  /// <summary>
  /// Images downloader handler
  /// </summary>
  [WebService(Namespace = "http://www.devcorner.info/")]
  [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
  public class Image : IHttpHandler
  {

    public void ProcessRequest(HttpContext context)
    {

      string pictureName = HttpContext.Current.Request.QueryString["name"];

      if (pictureName.ToLower().IndexOf(".jpg") > -1)
        context.Response.ContentType = "image/jpeg";
      else
        context.Response.ContentType = "image/png";

      string baseFolder = context.Server.MapPath("ClientBin") + "\\"; 
      string inputFolder = System.Configuration.ConfigurationManager.AppSettings["InputFolder"];
      string fileName = baseFolder + inputFolder + pictureName;

      FileInfo fi = new FileInfo(fileName);
      FileStream fs = fi.OpenRead();
      
      byte[] buffer = new byte[fs.Length];

      fs.Read(buffer, 0, buffer.Length);

      context.Response.OutputStream.Write(buffer, 0, buffer.Length);

      fs.Close();
      fs.Dispose();
    }

    public bool IsReusable
    {
      get
      {
        return false;
      }
    }
  }
}
