﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.IO;

namespace PictureBrowser.Web
{
    /// <summary>
    /// Summary description for BrowserHelper
    /// </summary>
    [WebService(Namespace = "http://www.devcorner.info/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    public class BrowserHelper : System.Web.Services.WebService
    {
        [WebMethod]
        public bool UploadFile(string fileName, byte[] f)
        {
            bool bRes = true;
            try
            {
                string baseFolder = Server.MapPath("ClientBin") + "\\";
                string inputFolder = System.Configuration.ConfigurationManager.AppSettings["InputFolder"];

                MemoryStream ms = new MemoryStream(f);
                FileStream fs = new FileStream(baseFolder + inputFolder + fileName, FileMode.Create);
                ms.WriteTo(fs);
                ms.Close();
                fs.Close();
                fs.Dispose();
                ms.Dispose();
            }
            catch (Exception ex)
            {
                bRes = false;
                System.Diagnostics.Debug.WriteLine(ex.Message);
            }

            return bRes;
        }

        [WebMethod]
        public string[] GetServerFileList()
        {
            string baseFolder = Server.MapPath("ClientBin") + "\\";
            string inputFolder = System.Configuration.ConfigurationManager.AppSettings["InputFolder"];

            DirectoryInfo di = new DirectoryInfo(baseFolder + inputFolder);
            FileInfo[] fis = di.GetFiles();

            var fileNames = from fi in fis
                            select fi.Name;

            string[] fileList = fileNames.ToArray<string>();


            return fileList;
        }
    }
}
